using Azure.Cosmos;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using System.Text.Json;
using System.Text.Json.Serialization;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.SDK.Models
{    
    public class Class : CosmosEntity
    {
        public Class()
        {
            pk = "Class";
            teacher = new Teachers();
            students = new List<StudentSimple>();
        }
        /// <summary>
        /// 教室编号
        /// </summary>
        public string no { get; set; }

        public float x { get; set; }
        public float y { get; set; }
        public string name { get; set; }
        public Teachers teacher { get; set; }
        public string periodId { get; set; }
        public string gradeId { get; set; }
        public string sn { get; set; }

        public List<StudentSimple> students { get; set; }
        /// <summary>
        /// TBL IRS 类型区分
        /// </summary>
        public string style { get; set; }
        public int status { get; set; } = 1;        
       
        /// <summary>
        /// 教室属性，普通 /专设的教室
        /// </summary>
        public string openType { get; set; }
        public string scope { get; set; }
        
    }
}

public class Point
{
    public float x { get; set; }
    public float y { get; set; }
}
public class StudentSimple
{

    public string id { get; set; }

    public string name { get; set; }

    public string no { get; set; }

    public string groupId { get; set; }
    public string groupName { get; set; }
}